Subject: Re: bug#22097: Ispell: lazy highlighting doesn't work properly.

From: Juri Linkov <[email-masked]>
Date: Sat, 12 Dec 2015 00:45:03 +0200

>> > Lazy highlight doesn't want to try matching in those skip-regions, and
>> > since it cannot support non-contiguous regions
>
>> Adding support for non-contiguous regions to lazy-highlight is trivial -
>> the same way we did it recently for query-replace.
>
> I don't think I know what you mean, here.  I don't see it as being at
> all trivial, but maybe I'm missing something.
> isearch-lazy-highlight-new-loop will need to get a list of regions to
> skip, and pass this on to i-l-h-update which will need to step gingerly
> through the allowed regions.

It's trivial to use a list of regions in lazy-highlight to skip them.
We can do this by adding a new variable isearch-lazy-highlight-regions,
like you recently added isearch-lazy-highlight-window-groups.

>> But to use it we need a list of boundaries of skipped regions from
>> ispell.  I guess this shouldn't be too difficult to do using regexps
>> that Alan fixed today in ispell-skip-region-list.
>
> We should be able to take the list of boundaries from the bit of code
> which searches for them in the first place.  Maybe.  Somehow.

It's not trivial to take the list of boundaries from ispell-skip-region-list.
So the obstacle is in ispell.